<?php
/*
  Updated for Phoniex Hooks V1.5 by JcMagie 04-12-2019
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

class hook_shop_siteWide_JcMgoogleCapatcha {
    var $good_pages = ['contact_us.php', 'create_account.php'];
    var $version = 'JcMgoogleCapatcha Hooks V1.5 by JcMagie 04-12-2019';
    var $FormVerify = null;
    var $formdisplay = null;
    var $SiteEnd = null;
    
     function listen_injectFormVerify() {
        global $language, $error, $messageStack;
        
        
      require('includes/languages/' . $language . '/hooks/shop/siteWide/jcm_google_recaptcha.php');
      require('includes/classes/recaptcha.php');
      
  
      $this->FormVerify .= $recaptcha = $_POST['g-recaptcha-response'];
       $object = new Recaptcha();
       $response = $object->verifyResponse($recaptcha); PHP_EOL;


        if (isset($response['success']) and $response['success'] != true) {
       $this->FormVerify .=  $error = true;
         $messageStack->add('contact', MODULE_CONTENT_RECAPTCHA_ERROR . ' (Error: ' . $response['error-codes'] . ')');
			 } PHP_EOL;
			 
			  if (in_array(basename($_SERVER['PHP_SELF']), $this->good_pages)) {	
        return $this->FormVerify;
			  }
  }
 
    
    function listen_injectFormDisplay() {
       global $language;
       require('includes/languages/' . $language . '/hooks/shop/siteWide/jcm_google_recaptcha.php');
    $this->formdisplay .= '<!-- Google reCapatch V2 hooked V1.0 JcMagpie 22-11-2019-->' . PHP_EOL;
    
    
    
    $this->formdisplay .= '<div class="form-group row">
  <label for="inputRecaptcha" class="col-form-label col-sm-3 text-left text-sm-right">&nbsp;</label><div class="col-sm-9">
                                        <div class="g-recaptcha" data-sitekey="' . MODULE_CONTENT_RECAPTCHA_SITEKEY . '" data-theme="light" data-type="image" data-size="normal"></div>
                                    </div></div>' . PHP_EOL;
                                    
                                    
    if (in_array(basename($_SERVER['PHP_SELF']), $this->good_pages)) {	
 
    return $this->formdisplay;
 
}
}
 function listen_injectSiteEnd() {
    $this->SiteEnd .= '<!-- JcMrecaptcha hooked -->' . PHP_EOL;
                                     
    if (in_array(basename($_SERVER['PHP_SELF']), $this->good_pages)) {	
          $this->SiteEnd .= '<script src="https://www.google.com/recaptcha/api.js" async defer></script>' . PHP_EOL;
      
      return $this->SiteEnd;
  }
}
}