<?php
/*
  Terms JcMagie 26-11-2019
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

class hook_shop_siteWide_JcMaTerms {
    var $good_pages = ['contact_us.php', 'create_account.php'];
    var $version = 'Terms V1.0 by JcMagie 26-11-2019';
    var $formdisplay = null;
    
    function listen_injectFormDisplay() {
       global $language;
       require('includes/languages/' . $language . '/hooks/shop/siteWide/JcMaTerms.php');
       $this->JcMaTerms .= '<!-- Terms hooked V1.0 JcMagpie 26-11-2019-->' . PHP_EOL;
    
    $this->JcMaTerms .= ' <!-- Button to Open the Modal -->
  <button type="button" class="btn btn-warning" data-toggle="modal" data-target="#JcMaTerms">' . BUTTON_TEXT . '</button>

  <!-- The Modal -->
  <div class="modal fade" id="JcMaTerms">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title" id="JcMaTerms">' . TERMS_TITLE . '</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
        <div class="modal-body"> 
          ' . TERMS_TEXT . '
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
        </div>
        
      </div>
    </div>
  </div>' . PHP_EOL;

 $this->JcMaTerms .= '<div class="form-group row">
  <div class="col-form-label col-sm-3 text-sm-right">' . CHECKBOX_TEXT . '</div>
  <div class="col-sm-3">
  <label class="switch">
  <input type="checkbox" name="protect" value="1" required="" aria-required="true" id="JcMaTerms">
  <span class="slider round"></span>
</label>' . PHP_EOL;
  $this->JcMaTerms .= '</div>
</div>' . PHP_EOL;
                       
 $this->JcMaTerms .= '<style>        /* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}  </style>' . PHP_EOL;                           
                                    
    if (in_array(basename($_SERVER['PHP_SELF']), $this->good_pages)) {	
 
    return $this->JcMaTerms;
 
}
}
}